package ossj.common.cbe;

import javax.xml.bind.annotation.adapters.XmlAdapter;

import javax.oss.cbe.EntityValue;

/**
 *
 * @author pm200800
 */
public class EntityValueAdapter extends XmlAdapter<EntityValueImpl,EntityValue>{
    
    public EntityValue unmarshal(EntityValueImpl p) throws Exception {
        try {
            EntityValue r = p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to unmarshall EntityValue : "+p;
            throw new Exception(msg+" due to "+e);   
        }                
    }

    public EntityValueImpl marshal(EntityValue p) throws Exception {
        try {
            EntityValueImpl r = (EntityValueImpl)p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to marshall EntityValueImpl : "+p;
            throw new Exception(msg+" due to "+e);   
        } 
    }
    
}
